Groovy 1.7.10

## org.codehaus.groovy.vmplugin.v4
[Java] Class Java4

    java.lang.Object
      org.codehaus.groovy.vmplugin.v4.Java4

All Implemented Interfaces:
  VMPlugin

    public class Java4
    extends Object

java 4 based functions

Authors:
  Jochen Theodorou

Method Summary
`void` | `configureAnnotation(AnnotationNode an)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` | `getPluginDefaultGroovyMethods()`
`void` | `setAdditionalClassInformation(ClassNode c)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### configureAnnotation

    public void configureAnnotation(AnnotationNode an)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode c)

Copyright © 2003-2010 The Codehaus. All rights reserved.